using Microsoft.AspNetCore.Mvc.Filters;

namespace QuickMaster.Filters;

public class MyLogAsyncAttribute : Attribute, IAsyncActionFilter
{
    public async Task OnActionExecutionAsync(ActionExecutingContext context, ActionExecutionDelegate next)
    {
        Console.WriteLine($"【Filter】{context.ActionDescriptor.DisplayName} is executed.");
        await next();
        Console.WriteLine($"【Filter】{context.ActionDescriptor.DisplayName} will be executed.");
    }
}