using Microsoft.AspNetCore.Mvc;
using QuickMaster.Models;
using QuickMaster.Filters;

namespace QuickMaster.Controllers;

// [MyLog]
// [TypeFilter(typeof(MyLogAttribute))]
public class HelloController : Controller
{
  private readonly MyContext _context;
  public HelloController(MyContext context)
  {
    this._context = context;
  }

  public IActionResult Index()
  {
    return Content("こんにちは、世界！");
  }

  // [MyLog]
  [MyLogAsync]
  public IActionResult Greet()
  {
    Console.WriteLine("Greet Action is executed.");
    ViewBag.Message = "こんにちは、世界！";
    // ViewData["Message"] = "こんにちは、世界！";
    // ViewBag.Message = "<h1>こんにちは、世界！</h1>";
    return View();
  }

  public IActionResult List()
  {
    return View(this._context.Book);
  }
}
