using Microsoft.AspNetCore.Mvc.Filters;

namespace QuickMaster.Filters;

public class MyLogAttribute : Attribute, IActionFilter
{
    public void OnActionExecuted(ActionExecutedContext context)
    {
      Console.WriteLine($"【Filter】{context.ActionDescriptor.DisplayName} is executed.");
    }

    public void OnActionExecuting(ActionExecutingContext context)
    {
      Console.WriteLine($"【Filter】{context.ActionDescriptor.DisplayName} will be executed.");
    }
}